Subject: bug#19883: Smob's mark_smob has become unreliable in Guile 2.x

From: David Kastrup <[email-masked]>
Date: Sun, 01 Mar 2015 16:00:24 +0100

Mark H Weaver <[email-masked]> writes:

[...]

The race-condition related patch suggestions have been submitted to
LilyPond's tracker.

Tracker issue: 4304 (http://code.google.com/p/lilypond/issues/detail?id=4304)
Rietveld issue: 210810043 (https://codereview.appspot.com/210810043)
Issue description:
  Smob code changes mostly relevant for multithreading  These changes
  have been suggested by Mark H Weaver in
  <URL:http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19883#41>

-- 
David Kastrup